Page MenuHomeFreeBSD

Fix missing substitution of @SBINDIR@ in resolvconf script
ClosedPublic

Authored by badger on Aug 18 2016, 10:10 PM.

Details

Summary

Fix missing substitution of @SBINDIR@ in resolvconf script

Certain features, such as resolv_conf_passthrough=NULL, do not work
correctly due to this missing substitution.

Also remove the @PREFIX@ substitution, which is no longer needed.

The @SBINDIR@ strings look to have appeared in r282431 with openresolv
3.7.0.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

badger retitled this revision from to Fix missing substitution of @SBINDIR@ in resolvconf script.Aug 18 2016, 10:10 PM
badger updated this object.
badger edited the test plan for this revision. (Show Details)
badger updated this revision to Diff 19470.
badger updated this revision to Diff 19474.Aug 18 2016, 11:35 PM

Remove @PREFIX@.

badger updated this object.Aug 18 2016, 11:36 PM
badger updated this object.
badger added a reviewer: gjb.Aug 18 2016, 11:47 PM
badger added a reviewer: pfg.Aug 19 2016, 7:41 PM
pfg edited edge metadata.Aug 21 2016, 8:17 PM
pfg accepted this revision.

Looks good to me.

sbin/resolvconf/Makefile
32 ↗(On Diff #19474)

Is this a TAB, and if so, why?

This revision is now accepted and ready to land.Aug 21 2016, 8:17 PM
pfg added a comment.Aug 21 2016, 8:20 PM

Forgot to mention .. please MFC11. IOt's difficult to keep up with changes if things differ.

badger added inline comments.Aug 22 2016, 1:10 AM
sbin/resolvconf/Makefile
32 ↗(On Diff #19474)

Yeah; I left the SYSCONFDIR line's indent as tabs when I appended it to the sed line. All the '-e' lines line up nicely in an editor with 8 space tabs, though perhaps not in phabricator.

This revision was automatically updated to reflect the committed changes.